> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Time Zones

> Returns a paginated list of supported time zones.<br/><br/>Supports sorting by `createdDate` and pagination via `offset` and `limit`.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/timeZones
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/timeZones:
    get:
      tags:
        - Time Zones
      summary: List Time Zones
      description: >-
        Returns a paginated list of supported time zones.<br/><br/>Supports
        sorting by `createdDate` and pagination via `offset` and `limit`.
      operationId: getV1Timezones
      parameters:
        - name: offset
          in: query
          schema:
            type: integer
            description: >-
              Id to get next portion of query data. For 1st query should pass as
              empty
            minimum: 0
          description: >-
            Id to get next portion of query data. For 1st query should pass as
            empty
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: sortKeys
          in: query
          schema:
            type: array
            description: Sort keys
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - createdDate
          description: Sort keys
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sort order
            default: ASC
            enum:
              - ASC
              - DESC
          description: Sort order
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimeZoneListResponse'
components:
  schemas:
    TimeZoneListResponse:
      type: object
      properties:
        total:
          type: number
          description: Total number of results
        first:
          type: string
          description: URL for first page
          nullable: true
        next:
          type: string
          description: URL for next page
          nullable: true
        prev:
          type: string
          description: URL for previous page
          nullable: true
        last:
          type: string
          description: URL for last page
          nullable: true
        count:
          type: number
          description: Number of results in this page
        offset:
          type: number
          description: Current offset
        results:
          $ref: '#/components/schemas/results'
    results:
      type: array
      description: Time zone records
      items:
        $ref: '#/components/schemas/TimeZoneListItem'
    TimeZoneListItem:
      type: object
      properties:
        sid:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        utcOffset:
          type: string
          nullable: true
        partnerMappings:
          $ref: '#/components/schemas/partnerMappings'
    partnerMappings:
      type: object
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````